/*
Theme Name:Code child
Description:WordPressテーマ「Code」の自作子テーマです。
Template:code_tcd090
*/

/* フォーム */
.input_form {
  margin-top: 5px;
  margin-bottom: 15px;
  margin-left: 5px;
  margin-right: 5px;
}

/* フォームのレイアウト */
.form-columns-2 {
  display: flex;
}

.form-columns-2 > div {
  width: 50%;
}

.form-columns-2 .input_form {
  flex-grow: 1;
}

/* ラベル */
.form_label {
  font-size: 16px;
  margin-top: 5px;
  margin-bottom: 10px;
  margin-left: 5px;
  margin-right: 5px;
}

.form-required {
  border-radius: 10px;
  background: #e3007f;
  padding: 4px 8px;
  margin-bottom: 10px;
  color: #fff;
  font-weight: 600;
  font-size: 12px;
}

.form-optional {
  border-radius: 10px;
  background: #cccccc;
  padding: 4px 8px;
  margin-bottom: 10px;
  color: #333333;
  font-weight: 600;
  font-size: 12px;
}

/* フォームのキャプション */
.form_caption {
  font-size: 12px;
  margin-top: 5px;
  margin-right: 2px;
}

/* フォームの画面配置 */
.user_form {
  margin-top: 10px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

/* フォームのタイトル */
.form_title {
  text-align: center;
  font-size: 24px;
  margin-bottom: 40px;
  margin-top: 20px;
}

/* フォーム全体の補足テキスト */
.form_text {
  padding: 20px;
  font-size: 14px;
  line-height: 22px;
  background-color: #f5f5f5;
  border-radius: 10px;
  margin-top: 20px;
  margin-bottom: 20px;
  margin-left: 10px;
  margin-right: 10px;
  list-style: circle;
}

.form_text ul {
  list-style: disc;
  margin-left: 10px;
}

.form_text li {
  margin-bottom: 5px;
}

.form_text p {
  margin-bottom: 10px;
}

/* 利用規約・プライバシーポリシーのリンク */
.account_links {
  margin-top: 10px;
  margin-bottom: 20px;
  margin-right: 20px;
  margin-left: 20px;
  text-align: center;
}

.account_link {
  margin-bottom: 10px;
}

.account_link a {
  color: #009fe8;
}

/* テキストボックス */
.textbox input {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  width: 100%;
  padding: 8px;
  border: 1px solid #ccc;
  border-radius: 3px;
  line-height: 1.2;
}

.textbox .min_textbox {
  max-width: 200px;
}

/* セレクトボックス */
.selectbox {
  display: inline-flex;
  align-items: center;
  position: relative;
}

.selectbox::after {
  position: absolute;
  right: 15px;
  width: 10px;
  height: 7px;
  background-color: #535353;
  clip-path: polygon(0 0, 100% 0, 50% 100%);
  content: "";
  pointer-events: none;
}

.selectbox select {
  appearance: none;
  min-width: 150px;
  height: 2.4em;
  padding: 0.4em calc(0.8em + 30px) 0.4em 0.8em;
  border: 1px solid #cccccc;
  border-radius: 3px;
  background-color: #fff;
  color: #333333;
  font-size: 1em;
  cursor: pointer;
}

/* チェックボックス */
.input_form .checkbox {
  margin: 10px;
}

.input_form .checkbox_item {
  margin-bottom: 10px;
}

/* .checkbox {
    border: none;
  }
  
  .checkbox label {
    display: flex;
    align-items: center;
    gap: 0 0.5em;
    position: relative;
    margin-bottom: 0.5em;
    cursor: pointer;
  }
  
  .checkbox label::before,
  .checkbox label:has(:checked)::after {
    content: "";
  }
  
  .checkbox label::before {
    width: 17px;
    height: 17px;
    border-radius: 3px;
    background-color: #e6edf3;
  }
  
  .checkbox label:has(:checked)::before {
    background-color: #009fe8;
  }
  
  .checkbox label:has(:checked)::after {
    position: absolute;
    top: 2px;
    left: 6px;
    transform: rotate(45deg);
    width: 4px;
    height: 8px;
    border: solid #fff;
    border-width: 0 2px 2px 0;
  }
  
  .checkbox input {
    display: none;
  } */

/* その他フォーム */
/* PC */
.login_box {
  max-width: 380px;
}

.member_form_box {
  max-width: 500px;
  min-width: 400px;
}

@media screen and (max-width: 480px) {
  /* スマホ */
  .login_box {
    max-width: 90%;
  }

  .member_form_box {
    max-width: 90%;
    min-width: 300px;
  }
}

@media screen and (max-width: 1024px) {
  /* タブレット */
}

/* エラーメッセージ */
.error_list {
  color: #cf2e2e;
  margin-top: 10px;
  margin-bottom: 10px;
}

.validation_error {
  color: #cf2e2e;
  font-size: 14px;
  margin-top: 10px;
}

/* 成功メッセージ */
.success_msg {
  font-size: 18px;
  text-align: center;
  font-weight: 700;
  margin-bottom: 40px;
  color: #007e33;
  background: #c8e6c9;
  padding: 20px;
  border-radius: 10px;
}

/* ボタン */
.user_btn_wrapper {
  text-align: center;
  margin: 20px;
}

.user_btn {
  font-size: 16px;
  font-weight: 700;
  line-height: 1.5;
  position: relative;
  display: inline-block;
  padding: 0.5rem 1rem 0.5rem 1rem;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
  text-align: center;
  vertical-align: middle;
  text-decoration: none;
  letter-spacing: 0.1em;
  color: #212529;
  border-radius: 0.5rem;
}

.user_btn--nav {
  margin-right: 10px;
}

.user_btn--blue {
  color: #fff !important;
  background-color: #009fe8 !important;
}

.user_btn--blue:hover {
  color: #fff !important;
  background: #009fe8 !important;
  opacity: 0.5;
}

.user_btn--white {
  color: #212529;
  border: solid 1.5px;
}

.user_btn--white:hover {
  color: #fff;
  background: #212529;
  opacity: 0.5;
}

.user_btn--wide {
  width: 80%;
}

/* 会員限定 */

/* ぼやさせる */
.blur_content :not(h2, h3, span) {
  filter: blur(0.2em);
  pointer-events: none;
  user-select: none;
}

/* 続きを読むには */
div.read_more_cta {
  display: flex;
  align-items: center;
  flex-direction: column;
}

div.read_more_cta div.cta_btn {
  width: 80%;
  text-align: center;
}

div.read_more_cta div.signup_cta_btn a {
  background: #009fe8;
  color: #fff;
  font-size: 1.25em;
}

@media only screen and (max-width: 770px) {
  /* スマホ */
  div.read_more_cta div.cta_btn {
    width: 90%;
  }
}

div.cta_text {
  font-size: 1.25em;
  font-weight: bold;
  color: #009fe8;
}

.custom_modal_wrap {
  display: flex;
  justify-content: center;
}

/*モーダル本体の指定 + モーダル外側の背景の指定*/
.custom_modal_container {
  position: fixed;
  top: 0;
  height: 100%;
  width: 100%;
  text-align: center;
  padding: 40px 20px 40px 20px;
  overflow: auto;
  opacity: 0;
  visibility: hidden;
  transition: 0.3s;
  max-width: 1180px;
  box-sizing: border-box;
}

/*モーダル本体の擬似要素の指定*/
.custom_modal_container:before {
  content: "";
  display: inline-block;
  vertical-align: middle;
  height: 100%;
}

/*モーダル本体に「active」クラス付与した時のスタイル*/
.custom_modal_container.active {
  opacity: 1 !important;
  visibility: visible !important;
}

/*モーダル枠の指定*/
.custom_modal_body {
  position: relative;
  display: inline-block;
  vertical-align: middle;
  max-width: 500px;
  width: 90%;
}

/*モーダル内のコンテンツの指定*/
.custom_modal_content {
  background: #d0e0f0;
  border: #009fe8 solid 1px;
  text-align: left;
  padding: 30px;
  border-radius: 10px;
}

/* モーダル内の吹き出し */
.custom_modal_balloon {
  position: relative;
  display: inline-block;
  margin: 0 0 1em 0;
  padding: 7px 20px;
  min-width: 120px;
  max-width: 100%;
  color: #009fe8;
  font-size: 1em;
  font-weight: bold;
  background: #fafafa;
  border-radius: 5px;
  text-align: center;
}

.custom_modal_balloon:before {
  content: "";
  position: absolute;
  top: 90%;
  left: 50%;
  margin-left: -15px;
  border: 15px solid transparent;
  border-top: 15px solid #fafafa;
}

.custom_modal_balloon div {
  margin: 0;
  padding: 0;
}

.custom_modal_container p {
  margin: 0;
}

@media only screen and (max-width: 770px) {
  /* スマホ */
  .custom_modal_container {
    width: 100%;
  }

  .custom_modal_body {
    width: 100%;
  }

  .custom_modal_content {
    padding: 30px 0px;
  }

  .custom_modal_balloon {
    font-size: 1em;
    padding: 7px 10px;
  }

  div.cta_text {
    font-size: 1em;
  }
}

/* 会員限定 */

/* その他 */
.wpcfs-checkboxes li {
  display: inline-block !important;
  margin-right: 15px;
}

.wpcfs-label {
  font-weight: bold;
}

.wpcfs-input select {
  width: 100%;
  padding: 10px;
  margin-bottom: 30px;
}

.post_content p {
  line-height: 1.8;
}

.post_carousel .image_wrap {
  padding-top: 50%;
}

.featured_post .image_wrap {
  padding-top: 50%;
}

#page_header {
  height: 300px;
}

@media screen and (max-width: 750px) {
  #page_header {
    height: 150px;
  }
}

/* チェックボックスリセット */
.search_btn_wrapper {
  text-align: center;
}

.search_btn {
  width: 75%;
  border: solid 1px #000;
  padding: 10px 0 10px 0;
}

.search_btn:hover {
  opacity: 0.3;
  transition: all 0.2s;
  cursor: pointer;
}

/* 問い合わせフォーム */
.form-required {
  border-radius: 10px;
  background: #e3007f;
  padding: 4px 8px;
  margin-bottom: 10px;
  color: #fff;
  font-weight: 600;
  font-size: 12px;
}

.form-optional {
  border-radius: 10px;
  background: #cccccc;
  padding: 4px 8px;
  margin-bottom: 10px;
  color: #333333;
  font-weight: 600;
  font-size: 12px;
}

/* アコーディオン */
.accordion__item {
  border: 1px solid #ccc;
  margin-top: 10px;
  cursor: pointer;
}

/* アコーディオンのタイトル */
.accordion__title {
  position: relative;
  font-weight: bold;
  cursor: pointer;
}

/* アイコン */
.accordion__title.js-accordion span.icon_btn::after {
  font-family: "design_plus";
  content: "\e90e";
  font-size: 25px;
  color: #000;
  position: absolute;
  right: 0;
  top: 0;
  bottom: 0;
  margin: auto 0;
  transition: all 0.3s;
  padding-left: 20px;
  padding-right: 20px;
  padding-top: 10px;
}

/* アコーディオンのコンテンツ */
.accordion__content {
  padding: 0 10px 10px 10px;
  display: none;
  cursor: pointer;
}

.accordion__content.is-open {
  display: block;
}

/* アコーディオン展開時のアイコン */
.accordion__item.is-active
  > .accordion__title.js-accordion
  span.icon_btn::after {
  content: "\e911";
}

.cat_checkbox_label {
  padding: 10px 60px 10px 20px;
  font-size: medium;
}

.second_category {
  margin-left: 20px;
}

.second_category .cat_checkbox_label {
  padding: 10px 40px 10px 10px;
  font-size: medium;
}

.third_category .cat_checkbox_label {
  padding: 10px 40px 10px 10px;
  font-size: medium;
}

.third_category {
  margin-left: 30px;
}

.fourth_category .cat_checkbox_label {
  padding: 10px 40px 10px 10px;
  font-size: medium;
}

.fourth_category {
  margin-left: 40px;
}

/* タグ */
.tag_checkbox_item_title {
  position: relative;
  font-weight: bold;
  cursor: pointer;
  margin-right: 10px;
  display: inline-block;
  font-size: medium;
}

.tag_checkbox_item_title input {
  margin-bottom: 15px;
}

/* 検索サブタイトル */
.search_box_sub_title {
  font-weight: bold;
  margin-top: 10px;
  margin-bottom: 10px;
  font-size: 18px;
}

.search_checkbox_wrapper {
  margin-right: 10px;
  margin-left: 10px;
  margin-top: 10px;
  margin-bottom: 20px;
}

.form_text a {
  color: #009fe8;
  font-weight: bold;
}

/* ad */
/* PC広告 */
@media (min-width: 767px) {
  .ad-pc {
    display: block;
    text-align: center;
    margin-bottom: 20px;
  }
}

/* スマホ広告 */
@media (max-width: 767px) {
  .ad-mobile {
    display: block;
    text-align: center;
    margin-bottom: 10px;
  }
}

/* 子カテゴリ */
.child-categories-container {
  padding: 50px 70px 40px;
}

.child-categories-card-list {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(180px, 1fr));
  /* 列数を自動調整 */
  gap: 20px;
  justify-content: center;
}

.child-category-card {
  border: 1px solid #ddd;
  border-radius: 10px;
  padding: 10px 10px;
  box-sizing: border-box;
  background: white;
  display: flex;
  gap: 15px;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  font-size: 14px;
}

.child-category-card:hover {
  opacity: 75%;
  color: #fccf00 !important;
}

.child-category-image-desktop {
  height: 50px;
  width: auto;
}

.child-category-image-mobile {
  width: 35px;
  height: auto;
}

/* スマホ用のレイアウト */
@media (max-width: 750px) {
  .child-categories-container {
    padding: 40px 10px 10px;
  }

  .child-categories-card-list {
    grid-template-columns: repeat(auto-fill, minmax(100px, 1fr));
    /* 列数を自動調整 */
    gap: 8px;
    /* カード同士の間隔を設定 */
  }

  .child-category-card {
    padding: 10px 0px;
    height: auto;
    font-size: 10px;
  }

  .child-category-image-desktop {
    display: none;
  }

  .child-category-image-mobile {
    display: none;
  }
}

#post_title .tag {
  color: #009fe8;
  font-size: 13px;
  position: relative;
  margin: 0 0 10px 0px;
  display: inline-block;
  z-index: 2;
  padding: 0 4px;
}

#post_title .tag:hover {
  text-decoration: underline;
}

@media (max-width: 750px) {
  #post_title .tag {
    padding: 0 2px;
    font-size: 12px;
    margin: 0 0 4px 0px;
  }
}

/* reCAPTHAの非表示 */
.grecaptcha-badge {
  visibility: hidden;
}

/* 問い合わせの注意書き */
.contact-form-note p {font-size: 1em !important;padding-bottom: 20px;}
